MacOS M1芯片openmp库出现mach-o file, but is an incompatible architecture (have ‘arm64‘, need ‘x86_64‘问题解决

在这里插入图片描述

1. 问题描述

报错如下所示:

ImportError: dlopen(/Users/Xuan/Developer/DLTools/GPRModule/gprMax/fields_updates_ext.cpython-310-darwin.so, 0x0002): tried: ‘/Users/Xuan/Developer/DLTools/GPRModule/gprMax/fields_updates_ext.cpython-310-darwin.so’ (mach-o file, but is an incompatible architecture (have ‘arm64’, need ‘x86_64’)), ‘/System/Volumes/Preboot/Cryptexes/OS/Users/Xuan/Developer/DLTools/GPRModule/gprMax/fields_updates_ext.cpython-310-darwin.so’ (no such file), ‘/Users/Xuan/Developer/DLTools/GPRModule/gprMax/fields_updates_ext.cpython-310-darwin.so’ (mach-o file, but is an incompatible architecture (have ‘arm64’, need ‘x86_64’))

2. 问题出现原因

本文所述场景使用conda进行环境管理,使用conda list | grep openmp命令可以查看已经安装的有关openmp库的信息。通过返回信息可以看到,conda默认情况下构建的是基于intel芯片的库,这就是出现“have ‘arm64’, need ‘x86_64’”错误的原因所在了。

$ conda list | grep openmp
intel-openmp              2021.4.0          hecd8cb5_3538    defaults
llvm-openmp               14.0.6               h0dcd299_0    defaults

3. 解决方案

在macOS平台上安装OpenMP库的操作方法如下:

编译安装

  1. 从LLVM的下载页面安装libomp。
  2. 导航到LLVM的下载页面。
  3. 下载OpenMP源代码。
  4. 编译源代码并安装。

使用Homebrew安装

brew install libomp

Reference

在 macOS 平台上安装 OpenMP 库 - MATLAB & Simulink - MathWorks 中国

  • 0
    点赞
  • 2
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

@realXuan

请博主喝一杯茶吧~

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值